Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 0.9.0
    • Fix Version/s: 0.8.2
    • Component/s: service/hbase
    • Labels:
      None

      Description

      We should move to HBase 0.94.2.

      1. WHIRR-679.patch
        16 kB
        Andrew Bayer
      2. WHIRR-679.patch
        16 kB
        Andrew Bayer
      3. WHIRR-679.patch
        20 kB
        Andrew Bayer

        Activity

        Hide
        Tom White added a comment -

        I just committed this. Thanks Andrew!

        Show
        Tom White added a comment - I just committed this. Thanks Andrew!
        Hide
        Andrew Bayer added a comment -

        Moved everything around so that we don't have the 0.94. Also moved to 0.94.1 because 0.94.2 vanished from Maven et al when I wasn't looking.

        Show
        Andrew Bayer added a comment - Moved everything around so that we don't have the 0.94. Also moved to 0.94.1 because 0.94.2 vanished from Maven et al when I wasn't looking.
        Hide
        Tom White added a comment -

        This looks good to me. Since we are only testing one HBase version it would be simpler to remove the references to a version number in the classes and properties files. We did this to test against two versions at once which had slightly different client APIs, but that's no longer an issue so we should clean this up. Note that it's easy to test another version of HBase by changing the version in the POM and Whirr properties file.

        Show
        Tom White added a comment - This looks good to me. Since we are only testing one HBase version it would be simpler to remove the references to a version number in the classes and properties files. We did this to test against two versions at once which had slightly different client APIs, but that's no longer an issue so we should clean this up. Note that it's easy to test another version of HBase by changing the version in the POM and Whirr properties file.
        Hide
        Andrew Bayer added a comment -

        Whoops, first patch had the wrong HBase version defined in the top-level POM.

        Show
        Andrew Bayer added a comment - Whoops, first patch had the wrong HBase version defined in the top-level POM.
        Hide
        Andrew Bayer added a comment -

        Switches tests for HBase service from 0.92.0 to 0.94.2, fixes Hadoop tarball URL for those tests as well.

        Show
        Andrew Bayer added a comment - Switches tests for HBase service from 0.92.0 to 0.94.2, fixes Hadoop tarball URL for those tests as well.

          People

          • Assignee:
            Andrew Bayer
            Reporter:
            Andrew Bayer
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development